#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf5_version_min 5.78

%define rel 1

Name:           plasma-systemmonitor
Version: 5.27.10
Release:        %mkrel %{rel}
Summary:        An application for monitoring system resources
Group:          Graphical desktop/KDE
License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/plasma/%{name}
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches (100-200)

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Config) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Service) >= %{kf5_version_min}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version_min}
BuildRequires:  cmake(KF5KIO) >= %{kf5_version_min}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version_min}
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version_min}
BuildRequires:  cmake(KF5ItemModels) >= %{kf5_version_min}
BuildRequires:  cmake(KSysGuard)

BuildRequires:  cmake(KF5Kirigami2)

Requires:       qtquickcontrols2
Requires:       kirigami2
Requires:       ksystemstats

%description
An interface for monitoring system sensors, process information and
other system resources.

%files -f %{name}.lang
%license LICENSES/*.txt
%_kf5_bindir/plasma-systemmonitor
%_kf5_applicationsdir/org.kde.plasma-systemmonitor.desktop
%_kf5_datadir/config.kcfg/systemmonitor.kcfg
%_kf5_datadir/knsrcfiles/plasma-systemmonitor.knsrc
%_kf5_datadir/ksysguard/sensorfaces/*
%_kf5_datadir/plasma/kinfocenter/externalmodules/
%_kf5_datadir/plasma-systemmonitor/
%_kf5_qmldir/org/kde/ksysguard/page/
%_kf5_qmldir/org/kde/ksysguard/table/
%_kf5_metainfodir/org.kde.plasma-systemmonitor.metainfo.xml

#--------------------------------------------------------------------
%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039963
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958067
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951981
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949105
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945813
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944824
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942091
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935099
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930088
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923140
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907559
- New version 5.26.3
- New version 5.26.2

* Fri Oct 07 2022 papoteur <papoteur> 5.25.90-2.mga9
+ Revision: 1895274
- Add ksystemstats requirement (mga#29320)

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889879
- New version 5.25.90
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872299
- New version 5.25.3
- New version 5.24.5

* Mon Apr 11 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848774
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766183
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756848
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750099
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736193
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721778
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715411
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704288
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697461
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1694370
- initial package plasma-systemmonitor

